<?php
/**
 * Epik appearance settings.
 *
 * @package Epik
 * @author  Appfinite
 * @license GPL-2.0-or-later
 * @link    https://appfinite.com/
 */

$epik_default_colors = [
	'link'   => '#303236',
	'accent' => '#0094ff',
];

$epik_link_color = get_theme_mod(
	'epik_link_color',
	$epik_default_colors['link']
);

$epik_accent_color = get_theme_mod(
	'epik_accent_color',
	$epik_default_colors['accent']
);

$epik_link_color_contrast   = epik_color_contrast( $epik_link_color );
$epik_link_color_brightness = epik_color_brightness( $epik_link_color, 35 );

return [
	'fonts-url'            => 'https://fonts.googleapis.com/css?family=Poppins:300,400,500,600,700|Open+Sans:300,400,500,600,700|Shadows+Into+Light&display=swap',
	'content-width'        => 1062,
	'button-bg'            => $epik_link_color,
	'button-color'         => $epik_link_color_contrast,
	'button-outline-hover' => $epik_link_color_brightness,
	'link-color'           => $epik_link_color,
	'default-colors'       => $epik_default_colors,
	'editor-color-palette' => [
		[
			'name'  => __( 'Custom color', 'epik' ), // Called “Link Color” in the Customizer options. Renamed because “Link Color” implies it can only be used for links.
			'slug'  => 'theme-primary',
			'color' => $epik_link_color,
		],
		[
			'name'  => __( 'Accent color', 'epik' ),
			'slug'  => 'theme-secondary',
			'color' => $epik_accent_color,
		],
	],
	'editor-font-sizes'    => [
		[
			'name' => __( 'Small', 'epik' ),
			'size' => 12,
			'slug' => 'small',
		],
		[
			'name' => __( 'Normal', 'epik' ),
			'size' => 18,
			'slug' => 'normal',
		],
		[
			'name' => __( 'Large', 'epik' ),
			'size' => 20,
			'slug' => 'large',
		],
		[
			'name' => __( 'Larger', 'epik' ),
			'size' => 24,
			'slug' => 'larger',
		],
	],
];
